	.section        ".text",#alloc,#execinstr
	.global 	&mFNAME
	.type 		&mFNAME,2
	.align 		4
&mFNAME:
	save    %sp,-0x60,%sp
1:
	call	2f
	sethi	%hi(_GLOBAL_OFFSET_TABLE_ + (. - 1b)), %l1
2:
	or	%l1,%lo(_GLOBAL_OFFSET_TABLE_ + (. - 1b)),%l1
	add	%o7,%l1,%l7
	or	%g0,%g0,%o0
	sethi	%hi(S.&mFNAME),%o1
	or	%o1,%lo(S.&mFNAME),%o1
	ld    [%o1+%l7],%o1
	sethi   %hi(&mFNAME),%o2
	or      %o2,%lo(&mFNAME),%o2
	ld    [%o2+%l7],%o2
	or	%g0,%g0,%o3
	call    _mFdynload
	or      %g0,%g0,%o4
.L2.&mFNAME:
	jmpl	%o0,%g0	    ! jump to routine with old frame
	restore
	.section        ".data",#alloc,#execinstr
	.align 		4
S.&mFNAME:
	.asciz	"&mFNAM2"
